function [souradnice vrchol_vsechny] = uhlovani_vnitrni(souradnice,maska,k,obr)

% funkce je soucasti cyklu, ktery probiha po vsech detekovanych krizenich
%% vyber bodu obrazu, ktere maji hodnotu 1 ve shode s maskou
vel = size(maska)-1;
vrchol = [0;0];
   if obr(souradnice(1,k),souradnice(2,k))==1  % overeni mista souradnice v ceve
        ii = 1;
        for i = -vel(1)/2:1:vel(1)/2            % pro postup maskou (od -5 do +5)
            for j = -(vel(2)/2) :1: vel(2)/2    % pro postup maskou (od -5 do +5)
                if obr(souradnice(1,k)+i,souradnice(2,k)+j)==maska(i+(vel(1)/2)+1,j+(vel(2)/2)+1)
                    % porovnani mista na obrazku s hodnotou masky v danem bode
                    if maska(i+(vel(1)/2)+1,j+(vel(2)/2)+1)==1      % hodnota je rovna 1
                        vrchol(:,ii) = [souradnice(1,k)+i;souradnice(2,k)+j];   % zapamatovani souradnic
                        ii = ii+1;
                    end
                end
            end
        end
    end
    
%% mazani nadbytecnych vrcholu sousedicich s jinymi
i = 1;
while i <= length(vrchol)-1     % cyklus pro nalezenou matici vrcholu
    pocet = size(vrchol);       % pocet radku a sloupcu matice
    if pocet(2)>1               % vynechani matice o jednom sloupci
            vzdalenost = sqrt((vrchol(1,i)-vrchol(1,i+1))^2 + ...
            (vrchol(2,i)-vrchol(2,i+1))^2); % euklid.vzdalenost sousednich vrcholu
        if vzdalenost < 2
            vrchol(:,i)=[];     % vynulovani blizkych vrcholu
        else
            i = i+1;
        end
    else
        i = i+1;
    end
end
vrchol_vsechny = vrchol;
